# Channel deletion API

## **Request**

* Method : DELETE
* URI : /channel/{channelId}

```
DELETE
url : https://dashboard-api.gamechat.naverncp.com/v1/api/project/{projectId}/channel/{channelId}
Header : 'x-api-key: {API Key}'
```

Plain textCopy

<table><thead><tr><th width="139">Header</th><th width="115">Type</th><th width="120">Required</th><th>Description</th></tr></thead><tbody><tr><td>x-api-key</td><td>String</td><td>O</td><td>Dashboard > Settings > Project settings > API Key</td></tr></tbody></table>

<table><thead><tr><th width="141">Attribute</th><th width="116">Type</th><th width="119">Required</th><th>Description</th></tr></thead><tbody><tr><td>projectId</td><td>String</td><td>O</td><td>Project ID (Dashboard > Settings > Project settings > Project ID)</td></tr><tr><td>channelId</td><td>String</td><td>O</td><td>Channel ID</td></tr></tbody></table>

**Response**

Success

```javascript
{
    "status": 1,
    "message": "success"
}
```

JavaScriptCopy

<table><thead><tr><th width="195">Attribute</th><th width="139">Type</th><th>Description</th></tr></thead><tbody><tr><td>status</td><td>Int</td><td>Result (1: Successful. Refer to the error code for failures.)</td></tr><tr><td>message</td><td>String</td><td>Result message</td></tr></tbody></table>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gamechat.me/basics/game-chat-v2/game-chat-english/openapi/channel-deletion-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
